Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(28)

Issue 91057: Multiple frequency channels supported in yans wifi channel and PHY (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
11 years, 9 months ago by Pavel Boyko
Modified:
11 years, 1 month ago
CC:
ns-3-reviews_googlegroups.com
Visibility:
Public.

Patch Set 1 #

Total comments: 16

Patch Set 2 : Updated patchset #

Patch Set 3 : Channel switching made instantaneous while correct model is not implemented. #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+82 lines, -11 lines) Patch
M src/devices/wifi/wifi-phy.h View 1 chunk +13 lines, -1 line 0 comments Download
M src/devices/wifi/yans-wifi-channel.cc View 1 2 chunks +6 lines, -3 lines 0 comments Download
M src/devices/wifi/yans-wifi-phy.h View 1 2 4 chunks +22 lines, -1 line 0 comments Download
M src/devices/wifi/yans-wifi-phy.cc View 1 2 8 chunks +41 lines, -6 lines 2 comments Download

Messages

Total messages: 9
Nicola Baldo
I like this implementation in that it is effective in providing multi-channel support with minimal ...
11 years, 9 months ago (2009-07-06 09:52:57 UTC) #1
Pavel Boyko
http://codereview.appspot.com/91057/diff/1/3 File src/devices/wifi/yans-wifi-phy.cc (right): http://codereview.appspot.com/91057/diff/1/3#newcode313 Line 313: Simulator::Schedule (m_channelSwitchDelay, &YansWifiPhy::DoSetChannelId, this, nch); On 2009/07/06 09:52:57, ...
11 years, 9 months ago (2009-07-06 11:27:35 UTC) #2
Mathieu Lacage
I think that the biggest issue is something nicola pointed out already: I feel that ...
11 years, 9 months ago (2009-07-13 06:52:19 UTC) #3
Ramon Bauza
Just a comment regarding the path loss calculation depending on the frequency/channel employed. http://codereview.appspot.com/91057/diff/1/2 File ...
11 years, 9 months ago (2009-07-13 13:41:05 UTC) #4
Pavel Boyko
On 2009/07/13 13:41:05, Ramon Bauza wrote: > Just a comment regarding the path loss calculation ...
11 years, 9 months ago (2009-07-13 14:39:14 UTC) #5
Pavel Boyko
Cosmetics done (in https://forge.wenos.ru/hgprojects/ns3dev), correct channel switching is pending. http://codereview.appspot.com/91057/diff/1/4 File src/devices/wifi/yans-wifi-phy.h (right): http://codereview.appspot.com/91057/diff/1/4#newcode81 Line ...
11 years, 9 months ago (2009-07-14 05:42:24 UTC) #6
Pavel Boyko
It seems that all but correct PHY switching process model issues are fixed. To be ...
11 years, 9 months ago (2009-07-16 07:10:09 UTC) #7
Mathieu Lacage
http://codereview.appspot.com/91057/diff/2005/2008 File src/devices/wifi/yans-wifi-phy.cc (right): http://codereview.appspot.com/91057/diff/2005/2008#newcode119 Line 119: .AddAttribute ("ChannelSwitchDelay", you forgot to remove this attribute ...
11 years, 9 months ago (2009-07-16 11:06:34 UTC) #8
Pavel Boyko
11 years, 9 months ago (2009-07-16 12:07:05 UTC) #9
According to Mathieu Plan B I have pushed minimal  implementation to ns-3-dev.
Ramon, now it is your move (and thank you for that).

http://codereview.appspot.com/91057/diff/2005/2008
File src/devices/wifi/yans-wifi-phy.cc (right):

http://codereview.appspot.com/91057/diff/2005/2008#newcode119
Line 119: .AddAttribute ("ChannelSwitchDelay",
On 2009/07/16 11:06:34, Mathieu Lacage wrote:
> you forgot to remove this attribute as well as the member variable declaration
> for m_channelSwitchDelay in the header

Nope, I just reserved it for future switching model ;) Being serious -- it took
several days to correctly measure this time on atheros and I don't want to lose
it.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b